aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/opie-multikeyapplet
diff options
context:
space:
mode:
authorPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-24 17:57:24 +0100
committerPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-30 02:35:12 +0100
commite9b45ff67d32fdc27950a51135b6dabada8334e7 (patch)
treede99cd760c8292ee1dd334e23e1e5cc43e90dfbd /recipes-opie/opie-multikeyapplet
downloadmeta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.gz
meta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.bz2
meta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.zip
initial commit of meta-opie
Populate the repository with files from OpenEmbedded at revision 45edf621296daf150c72b876d720861235e5762e - no changes, only rearranged the directory structure to match the new oe-core style and added COPYING.MIT and README. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
Diffstat (limited to 'recipes-opie/opie-multikeyapplet')
-rw-r--r--recipes-opie/opie-multikeyapplet/opie-multikeyapplet.inc29
-rw-r--r--recipes-opie/opie-multikeyapplet/opie-multikeyapplet_1.2.5.bb10
-rw-r--r--recipes-opie/opie-multikeyapplet/opie-multikeyapplet_cvs.bb7
3 files changed, 46 insertions, 0 deletions
diff --git a/recipes-opie/opie-multikeyapplet/opie-multikeyapplet.inc b/recipes-opie/opie-multikeyapplet/opie-multikeyapplet.inc
new file mode 100644
index 0000000..0022ba5
--- /dev/null
+++ b/recipes-opie/opie-multikeyapplet/opie-multikeyapplet.inc
@@ -0,0 +1,29 @@
+DESCRIPTION = "Multikey Keyboard Layout Switcher Applet"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "multikeyapplet"
+
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ ${bindir}/qcop QPE/TaskBar "reloadApplets()"
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+${bindir}/qcop QPE/TaskBar "reloadApplets()"
+ if [ -n "$D" ]; then false; fi
+}
+
+# FILES plugins/applets/libmultikeyapplet.so*
+do_install() {
+}
+
diff --git a/recipes-opie/opie-multikeyapplet/opie-multikeyapplet_1.2.5.bb b/recipes-opie/opie-multikeyapplet/opie-multikeyapplet_1.2.5.bb
new file mode 100644
index 0000000..149c471
--- /dev/null
+++ b/recipes-opie/opie-multikeyapplet/opie-multikeyapplet_1.2.5.bb
@@ -0,0 +1,10 @@
+require ${PN}.inc
+
+PR = "r0"
+
+SRC_URI = "http://sources.openembedded.org/opie-1.2.5-split_core_applets_multikeyapplet.tar.bz2;name=split_core_applets_multikeyapplet \
+ http://sources.openembedded.org/opie-1.2.5-split_apps.tar.bz2;name=split_apps"
+SRC_URI[split_core_applets_multikeyapplet.md5sum] = "8046e4b864f9a8f5673d387368dd49da"
+SRC_URI[split_core_applets_multikeyapplet.sha256sum] = "4a16356f27241c46456453cd46f82487d4974970feb845d8a903b607ec355933"
+SRC_URI[split_apps.md5sum] = "c765d13427e4dc8ee396e4dfed2dbe73"
+SRC_URI[split_apps.sha256sum] = "0fea454d8d286f7febc7449e4a06f73e941e8b22e9bab904a32e57f35479862a"
diff --git a/recipes-opie/opie-multikeyapplet/opie-multikeyapplet_cvs.bb b/recipes-opie/opie-multikeyapplet/opie-multikeyapplet_cvs.bb
new file mode 100644
index 0000000..ddb2bab
--- /dev/null
+++ b/recipes-opie/opie-multikeyapplet/opie-multikeyapplet_cvs.bb
@@ -0,0 +1,7 @@
+require ${PN}.inc
+
+PV = "${OPIE_GIT_PV}"
+PR = "r1"
+
+SRC_URI = "${OPIE_GIT};protocol=git;subpath=core/applets/multikeyapplet \
+ ${OPIE_GIT};protocol=git;subpath=apps"